$("#monster1").mouseenter(function() {
    if (selectedCard.type == "Creature") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || (selectedCard.color == "blanche" && player.cartes_ennemies.length + selectedCard.cout <= 7)) {
            $("#monster1").css('border', "3px solid black") 
        }
    }
}).mouseleave(function() {
    $("#monster1").css("border", "") 
}).click(function() {
    if (selectedCard.type == "Creature") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || (selectedCard.color == "blanche" && player.cartes_ennemies.length + selectedCard.cout <= 7)) {
            PoseCreature(0)
        }
    }
    if (isAttacking) {
        setAttackingWith(0)
    }
});

$("#action1").mouseenter(function() {
    if (selectedCard.type == "AC") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            $("#action1").css('border', "3px solid black")
        }
    }
}).mouseleave(function() {
    $("#action1").css("border", "") 
}).click(function() {
    if (selectedCard.type == "AC") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            PoseActionContinue(0)
        }
    }
})
$("#action2").mouseenter(function() {
    if (selectedCard.type == "AC") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            $("#action2").css('border', "3px solid black")
        }
    }
}).mouseleave(function() {
    $("#action2").css("border", "") 
}).click(function() {
    if (selectedCard.type == "AC") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            PoseActionContinue(1)
        }
    }
})

$("#board").mouseenter(function() {
    if (selectedCard.type == "AI") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            $("#board").css('border', "3px solid black")
        }
    }
}).mouseleave(function() {
    $("#board").css("border", "") 
}).click(function() {
    if (selectedCard.type == "AI") {
        if ((selectedCard.color == "noire" && carteSacrifiées.length == selectedCard.cout) || selectedCard.color == "blanche") {
            PoseAi();
        }
    }
})

$("#ennemy_monster1").click(function() {
    if (isAttacking && jQuery.isEmptyObject(attackingWith) == false) { //Si on attaque et qu'on a selectionné un monstre
        if(attackingWith.index != 2) {
            if (jQuery.isEmptyObject(ennemyMonsters[0]) == false) {
                Attack(0);
            }
        }
    }
});
$("#ennemy_monster2").click(function() {
    if (isAttacking && jQuery.isEmptyObject(attackingWith) == false) { //Si on attaque et qu'on a selectionné un monstre
        if (jQuery.isEmptyObject(ennemyMonsters[1]) == false) {
            Attack(1);
        }
    }
});
$("#ennemy_monster1").click(function() {
    if (isAttacking && jQuery.isEmptyObject(attackingWith) == false) { //Si on attaque et qu'on a selectionné un monstre
        if(attackingWith.index != 0) {
            if (jQuery.isEmptyObject(ennemyMonsters[2]) == false) {
                Attack(2);
            }
        }
    }
});

$("#ennemy_div").click(function() {
    if (isAttacking && jQuery.isEmptyObject(attackingWith) == false) { //Si on attaque et qu'on a selectionné un monstre
        if (jQuery.isEmptyObject(ennemyMonsters[attackingWith.index]) == false) {
            Attack(3);
        }
    }
})